% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/HRinterpolate.R
\name{process.edf}
\alias{process.edf}
\title{process one EDF file}
\usage{
process.edf(file, method = "spline", columns = 2, up = NULL,
  sample = "EKG", target.rate = 200, batch = FALSE,
  verbose = getOption("verbose"), ...)
}
\arguments{
\item{file}{name of file, may include path}

\item{method}{indicate interpolation method (passed to \code{\link[signal]{interp1}})}

\item{columns}{number of columns in output file (1: interpolated signal only, 2: time points and interpolated signal).
Automatically adjusted to nearest accepted value.}

\item{up}{integer factor by which to upsample, determined automatically if \code{NULL}.}

\item{target.rate}{minimum resulting sampling rate after interpolation}

\item{batch}{calling function may set batch to \code{TRUE} to indicate that
errors should be reported as warnings so that the batch process
can continue on other files.}

\item{verbose}{feedback?}

\item{...}{passed on (interpolation, name conversion)}
}
\value{
list with elements
}
\description{
Interpolate ECG signal to to reach at least \code{target.rate} samples per second (default: 200).
The upsampling factor \code{up} is chosen automatically as smallest integer satisfying that condition unless specified explicitely.
}
\examples{
# process.edf('test.edf')
}
